# Generated by Django 2.2.2 on 2019-07-02 11:31

import core.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('data', models.TextField(verbose_name='Info from forms')),
                ('phone', models.CharField(blank=True, max_length=12)),
                ('text', models.TextField()),
                ('datetime', models.DateTimeField(auto_now_add=True, verbose_name='Время и дата')),
            ],
            options={
                'verbose_name': 'Лид на работы(Заказчик)',
                'verbose_name_plural': 'Лиды на работы(Заказчики)',
            },
        ),
        migrations.CreateModel(
            name='ImportNumber',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('numbers', models.TextField()),
                ('message', models.TextField(blank=True)),
                ('datetime', models.DateTimeField(auto_now_add=True, verbose_name='Время и дата')),
            ],
            options={
                'verbose_name': 'Импорт номеров в группы',
            },
        ),
        migrations.CreateModel(
            name='Mess',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('text', models.TextField(verbose_name='Текст')),
                ('tomes', models.CharField(choices=[('AW', 'Всем работникам'), ('AG', 'Во все группы'), ('AC', 'Всем заказчикам')], max_length=3, verbose_name='Кому')),
            ],
        ),
        migrations.CreateModel(
            name='Sites',
            fields=[
                ('id', models.CharField(default=core.models.randomString, max_length=11, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255, verbose_name='Имя сайта')),
            ],
            options={
                'verbose_name': 'Сайт',
                'verbose_name_plural': 'Сайты',
            },
        ),
        migrations.CreateModel(
            name='Token',
            fields=[
                ('token', models.TextField(primary_key=True, serialize=False)),
                ('url', models.URLField()),
                ('text_customers', models.TextField(blank=True, verbose_name='Текст для заказчиков')),
                ('text_worker', models.TextField(default='Привет {{name}}', verbose_name='Текст для работников')),
            ],
        ),
        migrations.CreateModel(
            name='WGroup',
            fields=[
                ('groupId', models.TextField(primary_key=True, serialize=False, verbose_name='ID группы')),
                ('name', models.TextField(verbose_name='Название группы')),
                ('datetime', models.DateTimeField(auto_now_add=True, verbose_name='Время и дата')),
            ],
            options={
                'verbose_name': 'Группа Whatsapp',
                'verbose_name_plural': 'Группы Whatsapp',
            },
        ),
        migrations.CreateModel(
            name='Worker',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('mess', models.TextField(blank=True, verbose_name='Сообщение')),
                ('data', models.TextField(blank=True, verbose_name='Info from forms')),
                ('phone', models.CharField(blank=True, max_length=12, verbose_name='Телефон')),
                ('name', models.CharField(blank=True, max_length=255, verbose_name='Имя')),
                ('datetime', models.DateTimeField(auto_now_add=True, verbose_name='Время и дата')),
                ('wgroup', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.WGroup', verbose_name='В группе')),
            ],
            options={
                'verbose_name': 'Лид на работника',
                'verbose_name_plural': 'Лиды на работников',
            },
        ),
    ]
